'use strict';

var PlanejamentoObraController = angular.module('PlanejamentoObraController', []);

PlanejamentoObraController.controller('PlanejamentoObraCtrl', ['$scope', '$filter', 'Relatorio', 'CacheApp',
  ($scope, $filter, Relatorio, CacheApp) => {
    $scope.construcao = CacheApp.getConstrucao();

    $scope.getRelatorioPlanejamentoObra = () => {
        $scope.planejado = {};
        Relatorio.getRelatorioPlanejamentoObra($scope.construcao.Id,
            (data) => {
                $scope.planejado = data.Instance;
            });
    }
    $scope.getRelatorioPlanejamentoObra();

    $scope.pdfOrcamentoAnalitico = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        Relatorio.pdfOrcamentoAnalitico($scope.construcao.Id, cabecalho,
            (data) => {
                window.location.assign(data.Instance);
            });
    }

    $scope.xlsOrcamentoAnalitico = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        Relatorio.xlsOrcamentoAnalitico($scope.construcao.Id, cabecalho,
            (data) => {
                window.location.assign(data.Instance);
            });
    }

}]);
